import type { Printable } from 'tree-dump';
import type { UiLifeCycles } from '../types';
import type { DomController } from './DomController';
export declare class CompositionController implements UiLifeCycles, Printable {
    readonly dom: DomController;
    composing: boolean;
    data: string;
    constructor(dom: DomController);
    /** -------------------------------------------------- {@link UiLifeCycles} */
    start(): () => void;
    /** ----------------------------------------------------- {@link Printable} */
    toString(tab?: string): string;
}
